<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ConfirmReplace Method (IEdmGetOpCallback)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmGetOpCallback Interface : ConfirmReplace Method (IEdmGetOpCallback)

Visual Basic
C#
C++/CLI

eReason
  Reason for calling this method as defined in EdmGetConfirmReason

bsPath
  Full path to the local file

Gets whether to replace an existing file.

# Syntax

Visual Basic |
--- | ---

    Function ConfirmReplace( _
       ByVal eReason As EdmGetConfirmReason, _
       ByVal bsPath As System.String _
    ) As System.Boolean

C# |
--- | ---

    System.bool ConfirmReplace(
       EdmGetConfirmReason eReason,
       System.string bsPath
    )

C++/CLI |
--- | ---

    System.bool ConfirmReplace(
    &   EdmGetConfirmReason eReason,
    &   System.String^ bsPath
    )

#### Parameters

eReason
  Reason for calling this method as defined in EdmGetConfirmReason
bsPath
  Full path to the local file

#### Return Value

True to replace an existing file, false to leave an existing file

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmGetOpCallback Interface
IEdmGetOpCallback Members

# Availability

SOLIDWORKS PDM Professional Version 6.3